/*
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
*/
package jpa.tools.swing;

import javax.persistence.metamodel.EntityType;
import javax.swing.BorderFactory;
import javax.swing.JTable;

@SuppressWarnings("serial")
public class InstanceView<T> extends JTable {
    public InstanceView(EntityType<T> type, T instance) {
        super(new InstanceDataModel<T>(type, instance));
        setShowHorizontalLines(false);
        setShowVerticalLines(false);
    }
}
